diff -urN irchat-pj-2.5.6p/irchat-commands.el irchat-pj-2.5.6pl2/irchat-commands.el
--- irchat-pj-2.5.6p/irchat-commands.el	Wed Jun  6 01:45:03 2001
+++ irchat-pj-2.5.6pl2/irchat-commands.el	Thu Dec 13 01:44:32 2001
@@ -1,5 +1,5 @@
 ;;;
-;;; $Id: irchat-commands.el,v 1.15 2001/06/05 16:45:03 simm Exp $
+;;; $Id: irchat-commands.el,v 1.15.2.2 2001/12/12 16:44:32 simm Exp $
 ;;;
 ;;; see file irchat-copyright.el for change log and copyright info
 
@@ -38,9 +38,11 @@
 	  (if (setq win (get-buffer-window irchat-Dialogue-buffer))
 	      (let ((obuf (current-buffer)))
 		(set-buffer irchat-Dialogue-buffer)
-		(goto-char (point-max))
+		(goto-char (1- (point-max)))
 		(select-window win)
-		(recenter (- (window-height) 1))
+		;;(recenter (- (window-height) 1))
+		(irchat-pj-align-bottom)
+		(goto-char (point-max))
 		(select-window owin)
 		(set-buffer obuf)))))))
 
@@ -83,7 +85,9 @@
 	 (irchat-Command-send-line))
 	((not skk-mode)
 	 (irchat-Command-send-line))
-	((not skk-henkan-on)
+	((and (boundp 'skk-henkan-mode) (not skk-henkan-mode))
+	 (irchat-Command-send-line))
+	((and (boundp 'skk-henkan-on) (not skk-henkan-on))
 	 (irchat-Command-send-line))
 	(skk-egg-like-newline
 	 (skk-kakutei))
diff -urN irchat-pj-2.5.6p/irchat-vars.el irchat-pj-2.5.6pl2/irchat-vars.el
--- irchat-pj-2.5.6p/irchat-vars.el	Mon Sep 17 00:43:59 2001
+++ irchat-pj-2.5.6pl2/irchat-vars.el	Thu Dec 13 01:34:15 2001
@@ -1,5 +1,5 @@
 ;;;
-;;; $Id: irchat-vars.el,v 1.10 2001/08/27 15:38:44 simm Exp $
+;;; $Id: irchat-vars.el,v 1.10.2.3 2001/12/12 16:34:15 simm Exp $
 ;;;
 ;;; see file irchat-copyright.el for change log and copyright info
 
@@ -13,14 +13,26 @@
   "Minor version of irchat-pj")
 (defconst irchat-pj-branch 6
   "Version branch of irchat-pj")
-(defconst irchat-pj-cvs nil
-  "If non-nil, this version of irchat-pj is CVS version.
-If nil, package version.")
+(defconst irchat-pj-version-number
+  (format "%d.%d.%d" irchat-pj-major-version irchat-pj-minor-version irchat-pj-branch)
+  "Version number string of irchat-pj")
+
+(defconst irchat-pj-version-suffix 2
+  "irchat-pj version name suffix.
+  NIL   : Package release version
+  Number: Patch level to the release version
+  String: CVS version
+    \"c\": main trunk of CVS version
+    \"m\": minesweepers' version (simm's working branch)")
 (defconst irchat-pj-version
-  (format "%d.%d.%d%c"
-	  irchat-pj-major-version irchat-pj-minor-version irchat-pj-branch
-	  (if irchat-pj-cvs ?c ?p))
-  "Full version of irchat-pj")
+  (cond
+   ((null irchat-pj-version-suffix)
+    (concat irchat-pj-version-number "p"))
+   ((numberp irchat-pj-version-suffix)
+    (concat irchat-pj-version-number "pl" (number-to-string irchat-pj-version-suffix)))
+   ((stringp irchat-pj-version-suffix)
+    (concat irchat-pj-version-number irchat-pj-version-suffix)))
+  "Version string of irchat-pj current version")
 (defconst irchat-pj-version-string
   (concat "irchat-pj/" irchat-pj-version)
   "Full version string of irchat-pj. Used in pure-vs.")
@@ -205,7 +217,7 @@
 cdr: base filename
 
 ex. '((\"#KU3G\" . \"KU3G\")
-      (\"#IRC$(BIa5Z0Q0w2q(B:*.jp\" . \"ircpa\"))")
+      (\"#IRC$BIa5Z0Q0w2q(B:*.jp\" . \"ircpa\"))")
 
 ;; add by simm@irc.fan.gr.jp, Sat, 5 Jun 1999
 (defvar irchat-pj-quit-with-kill-buffer nil
diff -urN irchat-pj-2.5.6p/irchat.el irchat-pj-2.5.6pl2/irchat.el
--- irchat-pj-2.5.6p/irchat.el	Wed Jun  6 01:53:34 2001
+++ irchat-pj-2.5.6pl2/irchat.el	Thu Dec 13 01:21:29 2001
@@ -6,7 +6,7 @@
 ;; irchat-pj 2.5.x version by simm@irc.fan.gr.jp (1999/01/16-2000/01/19)
 ;; Copyright (C) 1998-2000 irchat-PJ Project
 
-;; $Id: irchat.el,v 1.18 2001/06/05 16:53:34 simm Exp $
+;; $Id: irchat.el,v 1.18.2.1 2001/12/12 16:21:29 simm Exp $
 
 ;; modified by simm@irc.fan.gr.jp, Tue, 25 Jul 2000 00:29:53 +0900
 (require 'pure-generic)
@@ -815,23 +815,29 @@
 			(switch-to-buffer irchat-Channel-buffer)
 			(other-window 1)
 			(switch-to-buffer irchat-Others-buffer)
+			(goto-char (1- (point-max)))
+			;;(recenter (- (window-height) 1))
+			(irchat-pj-align-bottom)
 			(goto-char (point-max))
-			(recenter (- (window-height) 1))
 			(select-window
 			 (get-buffer-window irchat-Command-buffer)))
 		    (switch-to-buffer irchat-Dialogue-buffer)
 		    (if (not irchat-freeze)
 			(progn
-			  (goto-char (point-max))
-			  (recenter (- (window-height) 1))))
+			  (goto-char (1- (point-max)))
+			  ;;(recenter (- (window-height) 1))
+			  (irchat-pj-align-bottom)
+			  (goto-char (point-max))))
 		    (select-window
 		     (get-buffer-window irchat-Command-buffer)))))
 	    ;; mta@tut.fi wants it like this
 	    (switch-to-buffer irchat-Dialogue-buffer)
 	    (if (not irchat-freeze)
 		(progn
-		  (goto-char (point-max))
-		  (recenter (- (window-height) 1))))
+		  (goto-char (1- (point-max)))
+		  ;;(recenter (- (window-height) 1))
+		  (irchat-pj-align-bottom)
+		  (goto-char (point-max))))
 	    (if irchat-use-full-window
 		(delete-other-windows))
 	    (if irchat-one-buffer-mode
@@ -847,8 +853,10 @@
 				(- 100 irchat-channel-window-height-percent))
 			     100)))
 		    (switch-to-buffer irchat-Others-buffer)
+		    (goto-char (1- (point-max)))
+		    ;;(recenter (- (window-height) 1))
+		    (irchat-pj-align-bottom)
 		    (goto-char (point-max))
-		    (recenter (- (window-height) 1))
 		    (other-window 1)
 		    (switch-to-buffer irchat-Channel-buffer)))
 	      (other-window 1)
@@ -859,8 +867,10 @@
 		     (get-buffer-window irchat-Dialogue-buffer))
 		    (if (not irchat-freeze)
 			(progn
-			  (goto-char (point-max))
-			  (recenter (- (window-height) 1))))))
+			  (goto-char (1- (point-max)))
+			  ;;(recenter (- (window-height) 1))
+			  (irchat-pj-align-bottom)
+			  (goto-char (point-max))))))
 	      (select-window
 	       (get-buffer-window irchat-Command-buffer))))))
     (set-buffer obuf)))
@@ -1222,6 +1232,11 @@
 (defun irchat-scroll-if-visible (window)
   (if window (set-window-point window (point-max))))
 
+(if (and (boundp 'emacs-major-version) (<= 21 emacs-major-version))
+    (defsubst irchat-pj-align-bottom ()
+      (recenter -1))
+  (defun irchat-pj-align-bottom ()
+    (recenter (- (window-height) 1))))
 
 (defun irchat-pj-insert-log (&rest msgs)
   "Insert log message."
@@ -1302,14 +1317,16 @@
           (if (setq win (get-buffer-window irchat-Others-buffer irchat-pj-scroll-condition))
               (let ((cwin nil)
                     (owin (selected-window)))
-                (set-window-point win (point-max))
+                (set-window-point win (1- (point-max)))
                 (select-window win)
-                (recenter (- (window-height) 1))
+                ;;(recenter (- (window-height) 1))
+		(irchat-pj-align-bottom)
                 (and irchat-pj-scroll-condition
                      (setq cwin (get-buffer-window irchat-Command-buffer
                                                    irchat-pj-scroll-condition))
                      (select-window cwin))
-                (select-window owin)))))
+                (select-window owin)
+		(goto-char (point-max))))))
           ;; end
     (save-excursion
       (set-buffer irchat-Dialogue-buffer)
@@ -1328,9 +1345,11 @@
 	      (if (not (pos-visible-in-window-p (point-max) win))
 		  (let ((owin (selected-window)))
 		    (select-window win)
-		    (goto-char (point-max))
-		    (recenter (- (window-height) 1))
-		    (select-window owin)))))))))
+		    (goto-char (1- (point-max)))
+		    ;;(recenter (- (window-height) 1))
+		    (irchat-pj-align-bottom)
+		    (select-window owin)
+		    (goto-char (point-max))))))))))
 
 (defun irchat-insert-private (to-me partner xmsg)
   (if (not (irchat-ischannel partner))
diff -urN irchat-pj-2.5.6p/make.el irchat-pj-2.5.6pl2/make.el
--- irchat-pj-2.5.6p/make.el	Mon Sep 17 00:34:57 2001
+++ irchat-pj-2.5.6pl2/make.el	Thu Sep 27 03:20:00 2001
@@ -5,7 +5,7 @@
 ;; Author: SHIMADA Mitsunobu <simm@irc.fan.gr.jp>
 ;; Keywords: irchat-pj, PURE, make, install
 
-;; $Id: make.el,v 1.7 2001/09/16 15:32:24 simm Exp $
+;; $Id: make.el,v 1.7.2.1 2001/09/26 18:20:00 simm Exp $
 
 ;; This file is free software; you can redistribute it and/or modify
 ;; it under the terms of the GNU General Public License as published by
@@ -57,7 +57,7 @@
    make-pj-lispfile-list
    "irchat-pj"
    (or (pure-make-get-argument 'packagedir) pure-make-package-base)
-   '("MANIFEST.irchat-pj" . infodir)))
+   '("MANIFEST.irchat-pj" . pkginfo)))
 
 ;; That's all
 (provide 'make)
